Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TPMControl

    public interface TPMControl

Method Summary
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getBasicProperties(String partnerId)` Gets the basic properties of a Trading Partner.
`com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument` | `getDefaultEbxmlBinding(String partnerId, String ebxmlVersion)` Gets the default ebXML binding for a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getDefaultPartner()` Gets the default Trading Partner.
`com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument` | `getDefaultRosettanetBinding(String partnerId, String rnVersion)` Gets the default Rosettanet binding for a Trading Partner.
`com.bea.x2003.x03.wli.tpm.ExtendedPropertySetDocument` | `getExtendedPropertySet(String partnerId, String propertySetName)` Gets an extended property set of a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getPartnerById(String partnerId)` Gets a Trading Partner.
`com.bea.x2003.x03.wli.tpm.TradingPartnerDocument` | `getPartnerByName(String partnerName)` Gets a Trading Partner.
`com.bea.x2003.x03.wli.tpm.ServiceDocument` | `getService(String serviceName)` Gets a Service.
`com.bea.x2003.x03.wli.tpm.ServiceProfileDocument` | `getServiceProfile(String serviceName, String toPartnerId, String fromPartnerId)` Gets a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument` | `getServiceProfileEbxmlBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the EbxmlBinding of a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument` | `getServiceProfileRosettanetBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the RosettanetBinding of a ServiceProfile.
`com.bea.x2003.x03.wli.tpm.WebServiceBindingDocument` | `getServiceProfileWebServiceBinding(String serviceName, String toPartnerId, String fromPartnerId, boolean toPartnerBinding)` Gets the WebServiceBinding of a ServiceProfile.

Method Detail

### getDefaultPartner

    com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getDefaultPartner()
                                                                       throws TPMControlException

  Gets the default Trading Partner.

  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getDefaultEbxmlBinding

    com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument getDefaultEbxmlBinding(String partnerId,
                                                                          String ebxmlVersion)
                                                                          throws TPMControlException

  Gets the default ebXML binding for a Trading Partner.

  Parameters:
    `partnerId:` - Business Id of the Trading Partner
    `ebxmlVersion:` - ebXML version of the binding
  Returns:
    EbxmlBindingDocument XBean encapsulating the XML fragment conforming to the EbxmlBinding schema in TPM
  Throws:
    `TPMControlException`

### getDefaultRosettanetBinding

    com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument getDefaultRosettanetBinding(String partnerId,
                                                                                    String rnVersion)
                                                                                    throws TPMControlException

  Gets the default Rosettanet binding for a Trading Partner.

  Parameters:
    `partnerId:` - Business Id of the Trading Partner
    `rnVersion:` - Rosettanet version of the binding
  Returns:
    RosettanetBindingDocument XBean encapsulating the XML fragment conforming to the RosettanetBinding schema in TPM
  Throws:
    `TPMControlException`

### getPartnerById

    com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getPartnerById(String partnerId)
                                                                    throws TPMControlException

  Gets a Trading Partner.

  Parameters:
    `partnerId:` - Business Id of the Trading Partner
  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getPartnerByName

    com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getPartnerByName(String partnerName)
                                                                      throws TPMControlException

  Gets a Trading Partner.

  Parameters:
    `partnerName:` - Name of the Trading Partner
  Returns:
    TradingPartnerDocument XBean encapsulating the XML fragment conforming to the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getBasicProperties

    com.bea.x2003.x03.wli.tpm.TradingPartnerDocument getBasicProperties(String partnerId)
                                                                        throws TPMControlException

  Gets the basic properties of a Trading Partner.

  Parameters:
    `partnerId:` - Business Id of the Trading Partner
  Returns:
    TradingPartnerDocument XBean encapsulating the attributes of the TradingPartner schema in TPM
  Throws:
    `TPMControlException`

### getExtendedPropertySet

    com.bea.x2003.x03.wli.tpm.ExtendedPropertySetDocument getExtendedPropertySet(String partnerId,
                                                                                 String propertySetName)
                                                                                 throws TPMControlException

  Gets an extended property set of a Trading Partner.

  Parameters:
    `partnerId:` - Business Id of the Trading Partner
    `propertySetName:` - Name of the property set
  Returns:
    ExtendedPropertySetDocument XBean encapsulating the XML fragment conforming to the ExtendedPropertySet schema in TPM
  Throws:
    `TPMControlException`

### getService

    com.bea.x2003.x03.wli.tpm.ServiceDocument getService(String serviceName)
                                                         throws TPMControlException

  Gets a Service.

  Parameters:
    `serviceName:` - Name of the Service
  Returns:
    ServiceDocument XBean encapsulating the XML fragment conforming to the Service schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfile

    com.bea.x2003.x03.wli.tpm.ServiceProfileDocument getServiceProfile(String serviceName,
                                                                       String toPartnerId,
                                                                       String fromPartnerId)
                                                                       throws TPMControlException

  Gets a ServiceProfile.

  Parameters:
    `serviceName:` - Name of the Service
    `toPartnerId:` - Business Id of the receiving Trading Partner
    `fromPartnerId:` - Business Id of the sending Trading Partner
  Returns:
    ServiceProfileDocument XBean encapsulating the XML fragment conforming to the ServiceProfile schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileEbxmlBinding

    com.bea.x2003.x03.wli.tpm.EbxmlBindingDocument getServiceProfileEbxmlBinding(String serviceName,
                                                                                 String toPartnerId,
                                                                                 String fromPartnerId,
                                                                                 boolean toPartnerBinding)
                                                                                 throws TPMControlException

  Gets the EbxmlBinding of a ServiceProfile.

  Parameters:
    `serviceName:` - Name of the Service
    `toPartnerId:` - Business Id of the receiving Trading Partner
    `fromPartnerId:` - Business Id of the sending Trading Partner
    `toPartnerBinding:` - 'true' if requesting receiving Trading Partner Binding
  Returns:
    EbxmlBindingDocument XBean encapsulating the XML fragment conforming to the EbxmlBinding schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileRosettanetBinding

    com.bea.x2003.x03.wli.tpm.RosettanetBindingDocument getServiceProfileRosettanetBinding(String serviceName,
                                                                                           String toPartnerId,
                                                                                           String fromPartnerId,
                                                                                           boolean toPartnerBinding)
                                                                                           throws TPMControlException

  Gets the RosettanetBinding of a ServiceProfile.

  Parameters:
    `serviceName:` - Name of the Service
    `toPartnerId:` - Business Id of the receiving Trading Partner
    `fromPartnerId:` - Business Id of the sending Trading Partner
    `toPartnerBinding:` - 'true' if requesting receiving Trading Partner Binding
  Returns:
    RosettanetBindingDocument XBean encapsulating the XML fragment conforming to the RosettanetBinding schema in TPM
  Throws:
    `TPMControlException`

### getServiceProfileWebServiceBinding

    com.bea.x2003.x03.wli.tpm.WebServiceBindingDocument getServiceProfileWebServiceBinding(String serviceName,
                                                                                           String toPartnerId,
                                                                                           String fromPartnerId,
                                                                                           boolean toPartnerBinding)
                                                                                           throws TPMControlException

  Gets the WebServiceBinding of a ServiceProfile.

  Parameters:
    `serviceName:` - Name of the Service
    `toPartnerId:` - Business Id of the receiving Trading Partner
    `fromPartnerId:` - Business Id of the sending Trading Partner
    `toPartnerBinding:` - 'true' if requesting receiving Trading Partner Binding
  Returns:
    WebServiceBindingDocument XBean encapsulating the XML fragment conforming to the WebServiceBinding schema in TPM
  Throws:
    `TPMControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD